tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class Chat

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.Chat

-     public class Chat
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getChat()`
    `Date` | `getStart()`
    `String` | `getSubject()`
    `JID` | `getWithJid()`
    `void` | `setStart(Date start)`
    `void` | `setSubject(String subject)`
    `void` | `setWithJid(JID withJid)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Chat

          public Chat()

  - ### Method Detail

    - #### getChat

          public Element getChat()

    - #### getStart

          public Date getStart()

    - #### setStart

          public void setStart(Date start)

    - #### getSubject

          public String getSubject()

    - #### setSubject

          public void setSubject(String subject)

    - #### getWithJid

          public JID getWithJid()

    - #### setWithJid

          public void setWithJid(JID withJid)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.